package com.yonge.cooleshow.biz.dal.dto.search;

import com.baomidou.mybatisplus.annotation.TableField;
import com.yonge.cooleshow.common.enums.SysUserType;
import com.yonge.toolset.base.page.QueryInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Author: liweifan
 * @Data: 2022-06-16 13:47:21
 */
@ApiModel(value = "SysUserContractRecordSearch对象", description = "用户协议记录表-一个用户一种协议一个版本一条记录查询对象")
public class SysUserContractRecordSearch extends QueryInfo{
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "用户id")
	private Long userId;

	@ApiModelProperty(value = "用户类型 STUDENT 学生 TEACHER 老师")
	private SysUserType userType;

	@ApiModelProperty(value = "签署状态 DONG 签署中 SUCCESS 签署完成 FAILED 签署失败")
	private String status;


	public Long getUserId() {
		return userId;
	}

	public void setUserId(Long userId) {
		this.userId = userId;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public SysUserType getUserType() {
		return userType;
	}

	public void setUserType(SysUserType userType) {
		this.userType = userType;
	}
}